typedefs.hpp
Go to the documentation of this file.
#ifndef STAN_MATH_FWD_MAT_FUN_TYPEDEFS_HPP
#define STAN_MATH_FWD_MAT_FUN_TYPEDEFS_HPP
#include <stan/math/prim/mat/fun/Eigen.hpp>
#include <stan/math/fwd/core.hpp>
#include <stan/math/fwd/mat/fun/Eigen_NumTraits.hpp>
namespace stan {
namespace math {
typedef
Eigen::Matrix<double, Eigen::Dynamic, Eigen::Dynamic>::Index
size_type;
typedef
Eigen::Matrix<fvar<double>, Eigen::Dynamic, Eigen::Dynamic>
matrix_fd;
typedef
Eigen::Matrix<fvar<fvar<double> >, Eigen::Dynamic, Eigen::Dynamic>
matrix_ffd;
typedef
Eigen::Matrix<fvar<double>, Eigen::Dynamic, 1>
vector_fd;
typedef
Eigen::Matrix<fvar<fvar<double> >, Eigen::Dynamic, 1>
vector_ffd;
typedef
Eigen::Matrix<fvar<double>, 1, Eigen::Dynamic>
row_vector_fd;
typedef
Eigen::Matrix<fvar<fvar<double> >, 1, Eigen::Dynamic>
row_vector_ffd;
}
}
#endif
core.hpp
stan::math::vector_fd
Eigen::Matrix< fvar< double >, Eigen::Dynamic, 1 > vector_fd
Definition: typedefs.hpp:25
stan
Definition: log_sum_exp.hpp:8
stan::math::matrix_fd
Eigen::Matrix< fvar< double >, Eigen::Dynamic, Eigen::Dynamic > matrix_fd
Definition: typedefs.hpp:17
Eigen_NumTraits.hpp
stan::math::size_type
Eigen::Matrix< double, Eigen::Dynamic, Eigen::Dynamic >::Index size_type
Type for sizes and indexes in an Eigen matrix with double e.
Definition: typedefs.hpp:13
stan::math::matrix_ffd
Eigen::Matrix< fvar< fvar< double > >, Eigen::Dynamic, Eigen::Dynamic > matrix_ffd
Definition: typedefs.hpp:21
stan::math::row_vector_fd
Eigen::Matrix< fvar< double >, 1, Eigen::Dynamic > row_vector_fd
Definition: typedefs.hpp:33
Eigen.hpp
stan::math::row_vector_ffd
Eigen::Matrix< fvar< fvar< double > >, 1, Eigen::Dynamic > row_vector_ffd
Definition: typedefs.hpp:37
stan::math::vector_ffd
Eigen::Matrix< fvar< fvar< double > >, Eigen::Dynamic, 1 > vector_ffd
Definition: typedefs.hpp:29

[ Stan Home Page ] © 2011–2016, Stan Development Team.